Subject: 24.3.50; lisp-completion-at-point suggests unbound symbols
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Wed, 05 Feb 2014 05:54:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Open scratch buffer in emacs-lisp-mode.

2. Type `(+ d', press C-M-i.

3. See all kinds of symbols among the suggestions, starting `d',
`d1ei' and `d2ei'. None of these three are bound variables.

But I suppose they are present in obarray. Unless we're certain that the
symbol we're completing won't be evaluated directly, though (i.e. the
head of the current list is a macro), I don't think unbound symbols
should be among the suggestions. Otherwise, this completion looks too
much like dabbrev, and if I wanted that, I could just press M-/.

In GNU Emacs 24.3.50.5 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.6)
 of 2014-02-01 on axl
Repository revision: 116234 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11405000
System Description:	Ubuntu 13.10